Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1052199 - [RHEVM-SETUP] - wrong value saved in answer file OVESETUP_DIALOG/confirmUpgrade=bool:True
Summary: [RHEVM-SETUP] - wrong value saved in answer file OVESETUP_DIALOG/confirmUpgra...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Sandro Bonazzola
QA Contact: Barak Dagan
URL:
Whiteboard: integration
Depends On: 1072068
Blocks: 1059318 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-13 13:34 UTC by Barak Dagan
Modified: 2014-09-18 12:24 UTC (History)
14 users (show)

Fixed In Version: av1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1059318 (view as bug list)
Environment:
Last Closed: 2014-01-14 07:35:38 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
engine log + answer files (deleted)
2014-01-13 13:34 UTC, Barak Dagan
no flags Details

Description Barak Dagan 2014-01-13 13:34:54 UTC
Created attachment 849369 [details]
engine log + answer files

Description of problem:
When upgarding from 3.2.5 to 3.3 (is31), using answer file, oe question still need to be answered:

rhevm-setup --config-append=33.fire32-remrep.engine.ansfile

          Welcome to the RHEV 3.3.0 upgrade.
          Please read the following knowledge article for known issues and updated instructions before proceeding with the upgrade.
          RHEV 3.3.0 Upgrade Guide: Tips, Considerations and Roll-back Issues
              https://access.redhat.com/site/articles/408623
          Would you like to continue with the upgrade? (Yes, No) [Yes]: yes
[ INFO  ] Stage: Environment setup
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging.conf', '/etc/yum.repos.d/33.fire32-remrep.engine.ansfile']
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-setup-20140113145149.log
          Version: otopi-1.1.2 (otopi-1.1.2-1.el6ev)
...

[ INFO  ] Starting engine service
[ INFO  ] Restarting httpd
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20140113145747-upgrade.conf'
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20140113145149.log


Version-Release number of selected component (if applicable):
is31

How reproducible:
100%

Steps to Reproduce:
1. create snapshot of installed 3.2.5
2. upgarde to is31, save answer file in remote server
3. restore 3.2.5 snapshot
4. upgrade to 3.3.0 using saved answer file

Actual results:
"Would you like to continue with the upgrade? (Yes, No) [Yes]:" still asked

Expected results:
unatteneded installation (upgrade)

Additional info:

Comment 2 Barak Dagan 2014-01-14 08:05:46 UTC
bool:True is auto generated answer. if that is the case i'll re-open it as wrong value saved in answer file

Comment 3 Sandro Bonazzola 2014-01-14 08:27:10 UTC
(In reply to Barak Dagan from comment #2)
> bool:True is auto generated answer. if that is the case i'll re-open it as
> wrong value saved in answer file

Ok for me. I don't think it's urgent, so please target it to 3.3.1, not to 3.3.0.

Comment 5 Sandro Bonazzola 2014-01-29 16:07:11 UTC
The dialog has been removed from 3.4.0. OVESETUP_DIALOG/confirmUpgrade won't be anymore in the answer file.

Comment 9 Barak Dagan 2014-03-18 14:30:26 UTC
Verified on av3:

# rpm -q rhevm
rhevm-3.4.0-0.5.master.el6ev.noarch

The dialog has been removed. 

# cat /var/lib/ovirt-engine/setup/answers/20140318191555-setup.conf | grep -i upgrade
OSETUP_RPMDISTRO/enableUpgrade=bool:True

#

Comment 10 Itamar Heim 2014-06-12 14:09:22 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.